# Package relaxngcc.datatype

package relaxngcc.datatype

Related Packages
Package
Description
relaxngcc
relaxngcc.datatype.parser
Class
Description
Datatype
Represents a RELAX NG datatype and its parsing code generator.
DatatypeLibrary
Represents a RELAX NG datatype library
DatatypeLibraryManager
Maintains datatypes and their converter definitions and allow `Datatype` objects to be retrieved.
Macro
A string with some free variables
Macro.Variable
Variable.
NoDefinitionException
Signals undefined variable in a variable expansion process.
ParserRuntime
Parses a datatype definition file.